Bug 842434 - Where an entitlement for a physical system includes >= 1 virtual guests, Subscriptions will list X number of virtual subs for each physical system that subscribes.
Where an entitlement for a physical system includes >= 1 virtual guests, Subs...
Status: CLOSED NOTABUG
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.2
Unspecified Unspecified
urgent Severity urgent
: rc
: 1.2
Assigned To: Jordan OMara
SAM QE List
: Triaged
Depends On: 842432
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-23 16:52 EDT by Eric Sammons
Modified: 2014-11-09 17:56 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 842432
Environment:
Last Closed: 2012-08-01 10:10:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
See how the physical sub is buried in the list of virtual subs. (201.63 KB, image/png)
2012-07-27 12:05 EDT, Eric Sammons
no flags Details

  None (edit)
Description Eric Sammons 2012-07-23 16:52:41 EDT
+++ This bug was initially created as a clone of Bug #842432 +++

Created attachment 599858 [details]
showing the rendering of the content tab / subscriptions.

Description of problem:
During testing of loading and subscribing 255 systems it was discovered that after the job's completion the subscriptions on the content tab were rendered incorrectly.

Version-Release number of selected component (if applicable):
katello-all-0.2.45-1.git.35.049d74c.fc16.noarch

How reproducible:
Additional testing to see if this is reproducible

Steps to Reproduce:
1. Provision F16
2. yum install -y katello-all
3. katello-configure --deployment=headpin
4. Load a manifest into ACME_Corporation
5. /usr/share/katello/scripts/test/populate-systems.py --url=https://fqdn/headpin -n 255
  
Actual results:
See screenshot attached

Expected results:
Correct rendering of subscriptions and consumed X of XXX values.
Comment 1 Eric Sammons 2012-07-27 12:05:00 EDT
Created attachment 600813 [details]
See how the physical sub is buried in the list of virtual subs.

Further testing shows that this in fact is a scenario where for every one physical system that consumes an entitlement X number of permitted virtual subs will then be created.  This create a lot of Subs in the left pane of the Content/Subscriptions tab and can make it difficult to locate specific subscriptions.
Comment 2 Jordan OMara 2012-08-01 10:10:22 EDT
Closing - please reopen as an RFE to add some predefined filters (such as Virtual:False, which get you the view you are expecting here) to make a more sensible subscription list in these cases.

Note You need to log in before you can comment on or make changes to this bug.